---
updatedAt: 2026-04-21T08:54:41.000Z
agentTools:
  projectIndex: https://docs.scalr.io/llms.txt
---

# Attach a Provider Configuration to the Module Test Configuration

Attach a Provider Configuration to the Module Test Configuration.


# OpenAPI definition

```json
{
  "components": {
    "schemas": {
      "ModuleTestProviderConfigurationLink": {
        "description": "The provider configuration link attaches the provider configuration to an module test configuration.",
        "properties": {
          "attributes": {
            "type": "object"
          },
          "id": {
            "readOnly": true,
            "type": "string"
          },
          "links": {
            "properties": {
              "self": {
                "readOnly": true,
                "type": "string"
              }
            },
            "readOnly": true,
            "type": "object"
          },
          "relationships": {
            "properties": {
              "provider-configuration": {
                "properties": {
                  "data": {
                    "properties": {
                      "id": {
                        "type": "string"
                      },
                      "type": {
                        "enum": [
                          "provider-configurations",
                          ""
                        ],
                        "type": "string"
                      }
                    },
                    "required": [
                      "type",
                      "id"
                    ],
                    "type": "object"
                  }
                },
                "required": [
                  "data"
                ],
                "type": "object"
              },
              "test-configuration": {
                "properties": {
                  "data": {
                    "nullable": true,
                    "properties": {
                      "id": {
                        "type": "string"
                      },
                      "type": {
                        "enum": [
                          "test-configurations",
                          ""
                        ],
                        "type": "string"
                      }
                    },
                    "required": [
                      "type",
                      "id"
                    ],
                    "type": "object"
                  }
                },
                "readOnly": true,
                "required": [
                  "data"
                ],
                "type": "object"
              }
            },
            "required": [
              "provider-configuration"
            ],
            "type": "object"
          },
          "type": {
            "enum": [
              "module-test-provider-configuration-links"
            ],
            "type": "string"
          }
        },
        "required": [
          "type",
          "relationships"
        ],
        "type": "object"
      },
      "ModuleTestProviderConfigurationLinkDocument": {
        "description": "JSON:API Document.\n\nsee: https://jsonapi.org/format/#document-structure",
        "properties": {
          "data": {
            "$ref": "#/components/schemas/ModuleTestProviderConfigurationLink"
          },
          "included": {
            "items": {
              "type": "object"
            },
            "readOnly": true,
            "type": "array"
          },
          "meta": {
            "readOnly": true,
            "type": "object"
          }
        },
        "type": "object"
      }
    },
    "securitySchemes": {
      "API-Key": {
        "scheme": "bearer",
        "type": "http"
      }
    }
  },
  "info": {
    "description": "Scalr IACP API",
    "license": {
      "name": "Apache 2.0",
      "url": "https://www.apache.org/licenses/LICENSE-2.0"
    },
    "title": "Scalr IACP API",
    "version": "unversioned"
  },
  "openapi": "3.0.0",
  "paths": {
    "/test-configurations/{test_configuration}/provider-configuration-links": {
      "post": {
        "description": "Attach a Provider Configuration to the Module Test Configuration.\n",
        "operationId": "create_module_test_provider_configuration_link",
        "parameters": [
          {
            "description": "The ID of the Module Test Configuration.\n",
            "in": "path",
            "name": "test_configuration",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "requestBody": {
          "content": {
            "application/vnd.api+json": {
              "schema": {
                "$ref": "#/components/schemas/ModuleTestProviderConfigurationLinkDocument"
              }
            }
          }
        },
        "responses": {
          "201": {
            "content": {
              "application/vnd.api+json": {
                "schema": {
                  "$ref": "#/components/schemas/ModuleTestProviderConfigurationLinkDocument"
                }
              }
            },
            "description": "Created."
          },
          "403": {
            "description": "User unauthorized to perform action."
          },
          "404": {
            "description": "Module Test Configuration not found."
          },
          "422": {
            "description": "Malformed request body (missing attributes, wrong types, etc.)."
          },
          "4XX": {
            "description": "Client error."
          },
          "5XX": {
            "description": "Server error."
          }
        },
        "summary": "Attach a Provider Configuration to the Module Test Configuration",
        "tags": [
          "module-test-provider-configuration-links"
        ],
        "x-resource": "ModuleTestProviderConfigurationLink",
        "x-service": "tf-api"
      }
    }
  },
  "security": [
    {
      "API-Key": []
    }
  ],
  "servers": [
    {
      "url": "https://{Domain}/api/iacp/v3",
      "variables": {
        "Domain": {
          "default": "example.scalr.io",
          "description": "Domain where Scalr is hosted"
        }
      }
    }
  ]
}
```

# Sibling pages

* [Delete a Module Test Provider Configuration Link](https://docs.scalr.io/scalr/reference/delete_module_test_provider_configuration_link.md)
* [Get a Module Test Provider Configuration Link](https://docs.scalr.io/scalr/reference/get_module_test_provider_configuration_link.md)
* [Update a Module Test Provider Configuration Link](https://docs.scalr.io/scalr/reference/update_module_test_provider_configuration_link.md)
* [List Module Test Provider Configuration Links](https://docs.scalr.io/scalr/reference/list_module_test_provider_configuration_links.md)